Bug 506936 - [RFE] Simplify the reporting form for the inexperienced reporter.
[RFE] Simplify the reporting form for the inexperienced reporter.
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 08:04 EDT by Jóhann B. Guðmundsson
Modified: 2009-12-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 17:01:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2009-06-19 08:04:51 EDT
We ( Fedora-QA ) are going to be trying to improve reporting to ease everybody's life ( Reporters, Maintainers, Triagers ) One issue to address is that it has been mention various times in previous release cycles,through mailing list, forums on irc channels that inexperienced reporter(s) feel bugzilla is to complicated to work with and thus they tent to stay away from
using it. 

We of course want to have as many reporting as possible at it can be a bit difficult increasing the number of reporters if the reporters stay away from bugzilla. 

Now the task here is to find a way to present to different forms

One minimal form ( as few elements as possible ) for the inexperience once and a full blown form for the experienced once that might actually use all of the option that is on the current form. 

I think it safe to say that this are the minimal elements that need to be present for the inexperience reporter the rest could either be hidden or made non editable.  

Component 
Component Description
Platform # If present selectable values should only be All,i386 and x86_64 
Version # Selectable value should be restricted to supported releases + Rawhide 
URl
Summary
Description 
Attachment
Security sensitive bug
External Bug


For more info on QA improve reporting see here.. 

https://fedoraproject.org/wiki/User:Johannbg/QA/Improve_reporting#QA_Improve_reporting
Comment 1 Emmanuel Seyman 2009-06-19 08:41:54 EDT
(In reply to comment #0)
>
> One minimal form ( as few elements as possible ) for the inexperience once and
> a full blown form for the experienced once that might actually use all of the
> option that is on the current form. 

FYI, Bugzilla 3.4 will declare some of the fields of the bug entry form 'advanced'. Users will have a choice between a form which shows only the 'simple' fields and all of them (a cookie will remember your last selection).

See bug #376673 on bmo for details as well as http://lpsolit.wordpress.com/2009/05/24/simpler-form-to-file-bugs-in-bugzilla-3-4/
Comment 2 Jóhann B. Guðmundsson 2009-06-19 09:23:34 EDT
Excellent this addresses this issue perfectly

We could remove the OS element or lock it to Linux.

There is one thing lacking thou ( had not filed that RFE yet ) 
and that is to reduce the risk of duplicated reports we need to provide a predefined search of the component the reporter chooses in Bugzilla or an url https://admin.fedoraproject.org/pkgdb/packages/bugs/$component using the url only benefits the Fedora while the predefined search would server both Red Hat and Fedora which the reporter could just click ( Could be shown in the component description ) or even better would be if we could show the reporter the description field of the latest 5 or 10 reports against the component he's about to report against.  

The search field is a bit to broad ( the simple one ) and the advanced one is to complicated for the inexperienced ones so they never bother to look to see if the issue their facing has already been reported.
Comment 3 Jóhann B. Guðmundsson 2009-06-19 12:12:44 EDT
Filed an upstream bug #499320 on bmo for the "Component Recent Report" element I mentioned earlier with an descriptive picture imagine that. ... 

BTW do we have an running development version of Bugzilla somewhere to test
or does Red Hat handle all the bugzilla testing internally?
Comment 4 Emmanuel Seyman 2009-06-20 03:22:26 EDT
Moving to the Bugzilla product (the Fedora/bugzilla target is for the rpm of bugzilla as shipped in Fedora).
Comment 5 David Lawrence 2009-06-22 00:13:10 EDT
Red Hat's Bugzilla is planned to move to 3.4 not long after it's final release. The new 3.4 will have the much simplified bug entry form. To view a demonstration of the new form:
 
https://landfill.bugzilla.org/bugzilla-3.4-branch/

Dave
Comment 6 Jóhann B. Guðmundsson 2009-06-22 03:32:16 EDT
Already took a look at it ( see comment 1 from Emmanuel )  

I also filed an upstream RFE Add an "Component Recent Reports" element to the reporters UI in the hope that it will reduce the risk of inexperienced reporters filing duplicated reports 

https://bugzilla.mozilla.org/show_bug.cgi?id=499320

Suggested new mockup on the new simplified report form

https://bug499320.bugzilla.mozilla.org/attachment.cgi?id=384113
Comment 7 Emmanuel Seyman 2009-08-12 06:28:16 EDT
FYI, Bugzilla 3.4 was released on 28/7/2009 and 3.4.1 was released on 1/8/2009.
Comment 8 Jóhann B. Guðmundsson 2009-12-04 01:13:53 EST
Doing some testing https://partner-bugzilla.redhat.com

Is it possible to remove the "OS element" or hardcode it to Linux it's not
like we are testing OS-X M$ Windows All or Other....
Comment 9 David Lawrence 2009-12-04 16:52:04 EST
I would rather leave it there as we do have quite a few products that are not just Linux specific. For example we are moving more and more JBoss products over which run on multiple platforms such as Windows/OSX/etc.

I would not be opposed to having the default value be Linux to start which would catch most people.

Dave
Comment 10 David Lawrence 2009-12-04 17:01:59 EST
actually after checking the code we already set the opsys to Linux by default unless the user manually changes it to something else. But I still want to leave it on the simple bug screen as we do have more and more users who are not always on Linux.

Dave

Note You need to log in before you can comment on or make changes to this bug.